---
lang: en
title: 'API docs: context.contextview.values'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.contextview.values.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [values](./context.contextview.values.md)

## ContextView.values() method

Get the list of resolved values. If they are not cached, it tries to find and resolve them.

<b>Signature:</b>

```typescript
values(session?: ResolutionSession): Promise<T[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  session | <code>ResolutionSession</code> |  |

<b>Returns:</b>

`Promise<T[]>`


